Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class MavenBuilder

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.builder.AbstractBuilder
              com.atlassian.bamboo.builder.AbstractMavenBuilder
                  com.atlassian.bamboo.builder.MavenBuilder

All Implemented Interfaces:
  Builder

Direct Known Subclasses:
  VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder

    public class MavenBuilder

extends AbstractMavenBuilder

This class provides an Maven 1.x version of `Builder`.

Field Summary
`static String` | `KEY`
`static String` | `KEY_PREFIX`
`static String` | `NAME`
`static String` | `PATHHELP`

Fields inherited from class com.atlassian.bamboo.builder.AbstractMavenBuilder
`CUSTOM_TEST_DIRECTORY_SELECTED, myGoal, myMavenHome, myTestDirectoryOption, PARAM_GOAL, PARAM_TEST_DIRECTORY_OPTION, STANDARD_TEST_DIRECTORY_SELECTED`

Fields inherited from class com.atlassian.bamboo.builder.AbstractBuilder
`builderManager, DEFAULT_TEST_REPORTS_XML, PARAM_BUILD_LABEL, PARAM_BUILDJDK, PARAM_ENV_VAR, PARAM_HASTESTS, PARAM_HOME, PARAM_TEST_RESULTS_DIRECTORY, PARAM_WORKING_SUB_DIR, pluginManager, templateRenderer, velocityManager`

Constructor Summary
`MavenBuilder()`

Method Summary
`Map` | `addDefaultLabelPathMaps(Map labelPathMaps)`
`protected String` | `getDefaultTestReportsDirectory()`
`protected String` | `getExecutableFileName()` Gets the executable file name
`String` | `getKey()`
`String` | `getName()`
`String` | `getPath()` The home path of the builder's command line
`String` | `getPathHelp()`
`String` | `getUrl()`

Methods inherited from class com.atlassian.bamboo.builder.AbstractMavenBuilder
`addDefaultValues, getCommandLine, getFullParams, getGoal, getMavenExecutablePath, getTemplateContext, getTestDirectory, getTestResultsDirectory, hasPassed, isPathValid, setGoal, setParams, setTestDirectory, validate, validate`

Methods inherited from class com.atlassian.bamboo.builder.AbstractBuilder
`build, collateTestResults, customiseLabelPathMaps, filterParameters, getAdminConfig, getBuildJdk, getCompleteKey, getEditHtml, getEnvironmentVariables, getFilteredParams, getFreemarkerEditHtml, getLabel, getTestChecked, getViewHtml, getWorkingDirectory, getWorkingSubDirectory, hasTests, init, isLabelPathMapConfigurable, outputEndsWith, setAdminConfig, setBuildDir, setBuilderManager, setBuildJdk, setEnvironmentVariables, setHasTests, setLabel, setPluginManager, setTemplateRenderer, setTestChecked, setTestResultsDirectory, setVelocityManager, setWorkingSubDirectory, toString, validate`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### KEY

    public static final String KEY

See Also:
  Constant Field Values

### KEY_PREFIX

    public static final String KEY_PREFIX

See Also:
  Constant Field Values

### PATHHELP

    public static final String PATHHELP

See Also:
  Constant Field Values

Constructor Detail

### MavenBuilder

    public MavenBuilder()

Method Detail

### getName

    public String getName()

### getKey

    public String getKey()

  Returns:
    The simple key of this builder.

### getUrl

    public String getUrl()

### getExecutableFileName

    protected String getExecutableFileName()

  Description copied from class: `AbstractMavenBuilder`
  Gets the executable file name

  Specified by:
    `getExecutableFileName` in class `AbstractMavenBuilder`

### getDefaultTestReportsDirectory

    protected String getDefaultTestReportsDirectory()

  Specified by:
    `getDefaultTestReportsDirectory` in class `AbstractMavenBuilder`

### getPath

    public String getPath()

  Description copied from interface: `Builder`
  The home path of the builder's command line

  Specified by:
    `getPath` in interface `Builder`
  Overrides:
    `getPath` in class `AbstractBuilder`
  Returns:
    The path

### getPathHelp

    public String getPathHelp()

  Specified by:
    `getPathHelp` in interface `Builder`
  Overrides:
    `getPathHelp` in class `AbstractBuilder`

### addDefaultLabelPathMaps

    public Map addDefaultLabelPathMaps(Map labelPathMaps)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.